import { select, arc } from 'd3';



const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'yellow');
circle.attr('stroke', 'black');

const eyeSpacing = 101;
const eyeYOffset = -60;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 10;
const eyebrowYOffset = -40;
const mouthWidth = 30;
const mouthRadius = 100;

const hair4 = g
  .append('circle')
    .attr('cx', 98)
  	.attr('cy', -180)
  	.attr('r', 45)
  	.attr('fill', 'tan')

const hair3 = g
  .append('circle')
    .attr('cx', 54)
  	.attr('cy', -200)
  	.attr('r', 45)
  	.attr('fill', 'tan')

const hair2 = g
  .append('circle')
    .attr('cx', -5)
  	.attr('cy', -220)
  	.attr('r', 45)
  	.attr('fill', 'tan')

const hair1 = g
  .append('circle')
    .attr('cx', -54)
  	.attr('cy', -200)
  	.attr('r', 45)
  	.attr('fill', 'tan')

const hair = g
  .append('circle')
    .attr('cx', -98)
  	.attr('cy', -180)
  	.attr('r', 45)
  	.attr('fill', 'tan')

const tooth3 = g
	.append('rect')
    .attr('x', -50)
    .attr('y', 160)
    .attr('width', 10)
    .attr('height', 20)
    .attr('fill', 'black');


const tooth2 = g
	.append('rect')
    .attr('x', -100)
    .attr('y', 173)
    .attr('width', 60)
    .attr('height', 10)
    .attr('fill', 'black');

const tooth = g
	.append('rect')
    .attr('x', -100)
    .attr('y', 131)
    .attr('width', 10)
    .attr('height', 50)
    .attr('fill', 'black');

const noseBridge = g
  .append('rect')
    .attr('x', -10)
    .attr('y', -35)
    .attr('width', 29)
    .attr('height', 50)
    .attr('fill', 'black');

const nose2 = g
  .append('circle')
    .attr('cx', 20)
  	.attr('cy', 35)
  	.attr('r', 30)
  	.attr('fill', 'black')

const nose = g
  .append('circle')
    .attr('cx', -10)
  	.attr('cy', 35)
  	.attr('r', 30)
  	.attr('fill', 'black');

// add ears
const earsG = g.append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset + 20})`);

const leftEar = earsG
  .append('ellipse')
    .attr('cx', -eyeSpacing * 2.0)
    .attr('cy', -100)
    .attr('rx', 30)
    .attr('ry', 90)
    .attr('fill', 'yellow');

const rightEar = earsG
  .append('ellipse')
    .attr('cx', eyeSpacing * 2.0)
    .attr('cy', -100)
    .attr('rx', 30)
    .attr('ry', 90)
    .attr('fill', 'yellow');

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 3)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 160,
      outerRadius: 170,
      startAngle: Math.PI / 1.2,
      endAngle: Math.PI * 3 / 2
      

    }));











